<script setup>
const showMenu = ref(false);
const toggleMenu = () => (showMenu.value = !showMenu.value);
const route = useRoute();

const localePath = useLocalePath();
const { t } = useI18n();

// Prevent being able to scroll when the menu is opened
useHead({
  bodyAttrs: {
    class: computed(() => (showMenu.value ? 'overflow-hidden' : '')),
  },
});

watch(
  () => route.fullPath,
  () => (showMenu.value = false),
);

const navLinks = ref([
  {
    name: t('layouts.header.links.0.name'),
    dropdown: {
      id: 1,
      bgClass: 'bg-las-green dark:bg-las-d-green',
      iconClass: 'text-las-green dark:text-las-d-green',
      links: [
        {
          name: t('layouts.header.links.0.dropdown.0.name'),
          to: { path: 'about', hash: '#why' },
        },
        {
          name: t('layouts.header.links.0.dropdown.1.name'),
          to: { path: 'about', hash: '#history' },
        },
        {
          name: t('layouts.header.links.0.dropdown.2.name'),
          to: { path: 'about', hash: '#values' },
        },
        {
          name: t('layouts.header.links.0.dropdown.3.name'),
          to: { path: 'about', hash: '#team' },
        },
        {
          name: t('layouts.header.links.0.dropdown.4.name'),
          to: { path: 'about', hash: '#support' },
        },
        {
          name: t('layouts.header.links.0.dropdown.5.name'),
          to: { path: 'about', hash: '#partners' },
        },
      ],
    },
  },
  {
    name: t('layouts.header.links.1.name'),
    dropdown: {
      id: 2,
      bgClass: 'bg-las-orange dark:bg-las-d-orange',
      iconClass: 'text-las-orange dark:text-las-d-orange',
      links: [
        { name: t('layouts.header.links.1.dropdown.0.name'), to: '/' },
        { name: t('layouts.header.links.1.dropdown.1.name'), to: '/' },
        { name: t('layouts.header.links.1.dropdown.2.name'), to: '/' },
        { name: t('layouts.header.links.1.dropdown.3.name'), to: '/' },
      ],
    },
  },
  {
    name: t('layouts.header.links.2.name'),
    dropdown: {
      id: 3,
      bgClass: 'bg-las-pink dark:bg-las-d-pink',
      iconClass: 'text-las-pink dark:text-las-d-pink',
      links: [
        { name: t('layouts.header.links.2.dropdown.0.name'), to: '/' },
        { name: t('layouts.header.links.2.dropdown.1.name'), to: '/' },
        { name: t('layouts.header.links.2.dropdown.2.name'), to: '/' },
      ],
    },
  },
  { name: t('layouts.header.links.3.name'), to: '/contact' },
]);
</script>

<template>
  <nav
    :class="[
      'flex',
      'flex-wrap',
      'items-center',
      'justify-between',
      'py-3',
      'shadow-lg',
      'text-las-orange',
      'z-50',
      'dark:bg-las-d-prune',
      'dark:text-las-d-orange',
    ]"
  >
    <div
      class="container px-4 mx-auto flex flex-wrap items-center justify-between"
    >
      <NuxtLink :to="localePath('/')">
        <img
          src="/images/logo.svg"
          alt="L'Autre Scène"
          width="125px"
          class="hidden lg:block"
        />

        <img
          src="/images/logo.svg"
          alt="L'Autre Scène"
          width="100px"
          class="lg:hidden"
        />
      </NuxtLink>

      <HeaderMenu :links="navLinks" />

      <Transition
        enter-active-class="duration-200 ease-in"
        enter-from-class="transform opacity-0 -translate-y-6"
        enter-to-class="opacity-100 translate-y-0"
        leave-active-class="duration-200 ease-out"
        leave-from-class="opacity-100 translate-y-0"
        leave-to-class="transform opacity-0 -translate-y-6"
      >
        <HeaderResponsiveMenu
          v-show="showMenu"
          :links="navLinks"
          @close="toggleMenu"
        />
      </Transition>

      <div>
        <HeaderColorBtn />

        <button class="ml-8" type="button" @click="() => {}">
          <IconsUser class="hover:opacity-75" />
        </button>

        <button
          class="ml-8 lg:hidden"
          type="button"
          aria-label="Open menu"
          @click="toggleMenu"
        >
          <IconsBurger class="hover:opacity-75" />
        </button>
      </div>
    </div>
  </nav>
</template>
